package com.ruoyi.project.patrol.emergency.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 洗眼器检查记录对象 t_emergency_eyewash
 *
 * @author ruoyi
 * @date 2023-09-04
 */
public class TEmergencyEyewash extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 位号 */
    @Excel(name = "位号")
    private String devNo;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 洗眼器标识醒目并处于良好状况 */
    @Excel(name = "洗眼器标识醒目并处于良好状况")
    private String identifying;
    private String identifyingFile;

    /** 洗眼器周围2米内无障碍物，易接近 */
    @Excel(name = "洗眼器周围2米内无障碍物，易接近")
    private String noObstacle;

    /** 所处区域有良好的照明，且没有被遮挡 */
    @Excel(name = "所处区域有良好的照明，且没有被遮挡")
    private String noOcclusion;

    /** 洗眼器配件没有损坏或丢失，也没有可见的腐蚀 */
    @Excel(name = "洗眼器配件没有损坏或丢失，也没有可见的腐蚀")
    private String noDamage;
    private String noDamageFile;

    /** 洗眼器上游手阀处于全开状态，并采取常开保护措施 */
    @Excel(name = "洗眼器上游手阀处于全开状态，并采取常开保护措施")
    private String inSafe;
    private String inSafeFile;

    /** 洗眼器从出水点起高度在10-30厘米并均匀流动 */
    @Excel(name = "洗眼器从出水点起高度在10-30厘米并均匀流动")
    private String exitPoint;
    private String exitPointFile;

    /** 洗眼器出水干净不黑无污染，没有颗粒 */
    @Excel(name = "洗眼器出水干净不黑无污染，没有颗粒")
    private String exitClean;

    /** 洗眼器出水温度不高于25℃ */
    @Excel(name = "洗眼器出水温度不高于25℃")
    private String exitTemp;

    /** 洗眼器手推板、脚踏板及喷淋拉杆灵活，能保持全开 */
    @Excel(name = "洗眼器手推板、脚踏板及喷淋拉杆灵活，能保持全开")
    private String keepOpen;

    /** 洗眼器测试前已通知ERC */
    @Excel(name = "洗眼器测试前已通知ERC")
    private String noticed;

    /** 现场声光报警装置工作正常 */
    @Excel(name = "现场声光报警装置工作正常")
    private String normalOperation;

    /** ERC接收到洗眼器报警测试信号，报警信号已反馈至DCS和中控室迷你盘 */
    @Excel(name = "ERC接收到洗眼器报警测试信号，报警信号已反馈至DCS和中控室迷你盘")
    private String feedback;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmed;

    /** 检查状态 */
    @Excel(name = "检查状态")
    private String checkStatus;

    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 月度 */
    @Excel(name = "月度")
    private Long month;

    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 删除标识0未删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;


    private String issuesStatus;


    private Long planId;


    private String problemFileUrl;


    private String fileUrl;

    private String issuesFlag;

    private String repairFile;

    private String precision;

    public String getPrecision() {
        return precision;
    }

    public void setPrecision(String precision) {
        this.precision = precision;
    }

    public String getRepairFile() {
        return repairFile;
    }

    public void setRepairFile(String repairFile) {
        this.repairFile = repairFile;
    }

    public String getIdentifyingFile() {
        return identifyingFile;
    }

    public void setIdentifyingFile(String identifyingFile) {
        this.identifyingFile = identifyingFile;
    }

    public String getNoDamageFile() {
        return noDamageFile;
    }

    public void setNoDamageFile(String noDamageFile) {
        this.noDamageFile = noDamageFile;
    }

    public String getInSafeFile() {
        return inSafeFile;
    }

    public void setInSafeFile(String inSafeFile) {
        this.inSafeFile = inSafeFile;
    }

    public String getExitPointFile() {
        return exitPointFile;
    }

    public void setExitPointFile(String exitPointFile) {
        this.exitPointFile = exitPointFile;
    }

    public String getIssuesFlag() {
        return issuesFlag;
    }

    public void setIssuesFlag(String issuesFlag) {
        this.issuesFlag = issuesFlag;
    }

    public String getIssuesStatus() {
        return issuesStatus;
    }

    public void setIssuesStatus(String issuesStatus) {
        this.issuesStatus = issuesStatus;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getProblemFileUrl() {
        return problemFileUrl;
    }

    public void setProblemFileUrl(String problemFileUrl) {
        this.problemFileUrl = problemFileUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public TEmergencyEyewash() {}

    public TEmergencyEyewash(String devNo, String position,Long planId, Long month, Long year, String createrCode) {
        this.devNo = devNo;
        this.planId = planId;
        this.position = position;
        this.month = month;
        this.year = year;
        this.issuesStatus = "0";
        this.checkStatus = "0";
        this.createdate = new Date();
        this.createrCode = createrCode;
    }

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevNo(String devNo)
    {
        this.devNo = devNo;
    }

    public String getDevNo()
    {
        return devNo;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setIdentifying(String identifying)
    {
        this.identifying = identifying;
    }

    public String getIdentifying()
    {
        return identifying;
    }
    public void setNoObstacle(String noObstacle)
    {
        this.noObstacle = noObstacle;
    }

    public String getNoObstacle()
    {
        return noObstacle;
    }
    public void setNoOcclusion(String noOcclusion)
    {
        this.noOcclusion = noOcclusion;
    }

    public String getNoOcclusion()
    {
        return noOcclusion;
    }
    public void setNoDamage(String noDamage)
    {
        this.noDamage = noDamage;
    }

    public String getNoDamage()
    {
        return noDamage;
    }
    public void setInSafe(String inSafe)
    {
        this.inSafe = inSafe;
    }

    public String getInSafe()
    {
        return inSafe;
    }
    public void setExitPoint(String exitPoint)
    {
        this.exitPoint = exitPoint;
    }

    public String getExitPoint()
    {
        return exitPoint;
    }
    public void setExitClean(String exitClean)
    {
        this.exitClean = exitClean;
    }

    public String getExitClean()
    {
        return exitClean;
    }
    public void setExitTemp(String exitTemp)
    {
        this.exitTemp = exitTemp;
    }

    public String getExitTemp()
    {
        return exitTemp;
    }
    public void setKeepOpen(String keepOpen)
    {
        this.keepOpen = keepOpen;
    }

    public String getKeepOpen()
    {
        return keepOpen;
    }
    public void setNoticed(String noticed)
    {
        this.noticed = noticed;
    }

    public String getNoticed()
    {
        return noticed;
    }
    public void setNormalOperation(String normalOperation)
    {
        this.normalOperation = normalOperation;
    }

    public String getNormalOperation()
    {
        return normalOperation;
    }
    public void setFeedback(String feedback)
    {
        this.feedback = feedback;
    }

    public String getFeedback()
    {
        return feedback;
    }
    public void setConfirmed(String confirmed)
    {
        this.confirmed = confirmed;
    }

    public String getConfirmed()
    {
        return confirmed;
    }
    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devNo", getDevNo())
            .append("position", getPosition())
            .append("identifying", getIdentifying())
            .append("noObstacle", getNoObstacle())
            .append("noOcclusion", getNoOcclusion())
            .append("noDamage", getNoDamage())
            .append("inSafe", getInSafe())
            .append("exitPoint", getExitPoint())
            .append("exitClean", getExitClean())
            .append("exitTemp", getExitTemp())
            .append("keepOpen", getKeepOpen())
            .append("noticed", getNoticed())
            .append("normalOperation", getNormalOperation())
            .append("feedback", getFeedback())
            .append("confirmed", getConfirmed())
            .append("checkStatus", getCheckStatus())
            .append("checkDate", getCheckDate())
            .append("month", getMonth())
            .append("year", getYear())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
